@use 'sass:map';

/*
	Theming
*/

// Spacer 
$spacer: 1rem;

// Borders
$enable-rounded: false;

// Colours
$white:    #fff !default;
$gray-100: #f8f9fa !default;
$gray-200: #e9ecef !default;
$gray-300: #dee2e6 !default;
$gray-400: #ced4da !default;
$gray-500: #adb5bd !default;
$gray-600: #6c757d !default;
$gray-700: #495057 !default;
$gray-800: #343a40 !default;
$gray-900: #212529 !default;
$black:    #000 !default;
$grays: (
	'900': $gray-900,
	'800': $gray-800,
	'700': $gray-700,
	'600': $gray-600,
	'500': $gray-500,
	'400': $gray-400,
	'300': $gray-300,
	'200': $gray-200,
	'100': $gray-100
);
$gray: $gray-500;

$colors: (
	'white': $white,
	'gray': $gray,
);

// Typography
$enable-responsive-font-sizes:	true;
$headings-font-weight:			300;
$headings-margin-bottom:		$spacer * 1.5;
$link-hover-decoration:			none;

// Shadows
$box-shadow-sm:	0	.125rem	.3rem	rgba( $black, .2 );
$box-shadow: 	0	.5rem	1.2rem	rgba( $black, .4 );
$box-shadow-lg:	0	1rem	3rem	rgba( $black, .5 );

// Transitions
$transition-base: all .4s ease-in-out !default;


/*
	Bootstrap source imports
*/

// Required
@import '~bootstrap/scss/functions';
@import '~bootstrap/scss/variables';
@import '~bootstrap/scss/mixins';

// Customisations dependent on required BS libraries above
$headings-color:		$primary;
$navbar-brand-height:	$navbar-brand-height * 2;
$colors:				map-remove( $colors, 'blue', 'indigo', 'purple', 'orange', 'teal' );

// Optional
@import '~bootstrap/scss/root';				// CSS variables
@import '~bootstrap/scss/reboot';
@import '~bootstrap/scss/type';				// Basic typography
@import '~bootstrap/scss/images';
// @import '~bootstrap/scss/code';
@import '~bootstrap/scss/grid';
@import '~bootstrap/scss/tables';
@import '~bootstrap/scss/forms';
@import '~bootstrap/scss/buttons';
// @import '~bootstrap/scss/transitions';		// Fade & collapse
// @import '~bootstrap/scss/dropdown';
@import '~bootstrap/scss/button-group';
@import '~bootstrap/scss/input-group';
@import '~bootstrap/scss/custom-forms';	// Bootstrap's custom form components
@import '~bootstrap/scss/nav';			// Tabs, pills, etc.
@import '~bootstrap/scss/navbar';
@import '~bootstrap/scss/card';
// @import '~bootstrap/scss/breadcrumb';
// @import '~bootstrap/scss/pagination';
@import '~bootstrap/scss/badge';
// @import '~bootstrap/scss/jumbotron';
@import '~bootstrap/scss/alert';
// @import '~bootstrap/scss/progress';
// @import '~bootstrap/scss/media';
// @import '~bootstrap/scss/list-group';
// @import '~bootstrap/scss/close';
// @import '~bootstrap/scss/toasts';
// @import '~bootstrap/scss/modal';
// @import '~bootstrap/scss/tooltip';
// @import '~bootstrap/scss/popover';
// @import '~bootstrap/scss/carousel';
// @import '~bootstrap/scss/spinners';
@import '~bootstrap/scss/utilities'; 		// Absolutely all utilities... text, flex, everything
// @import '~bootstrap/scss/print';			// Print stylesheet styles
